Which Windows Phone devices are supported?

Requirements to use WhatsApp on a Windows Phone are the following:

  1. The device must be running Windows Phone 7.5 or higher.
  2. The device must have an active internet connection.

For more specific information, see supported device articles for: Android | iPhone | BlackBerry | Nokia S40 | Nokia S60 | BlackBerry 10.

Cheers,
WhatsApp Support Team